#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>

#include <X11/Xlib.h>
#include <X11/xpm.h>

#include "utils.h"

#define PACKAGE "wmdrawer"
#define VERSION "0.10.0"
#define RELEASE_DATE "2003-04-07"

#define DIM 64

enum dir {
  topToBottom,
  rightToLeft,
  bottomToTop,
  leftToRight
};

typedef struct ShadingInfo {
  XColor tintColor;
  int shading;
} ShadingInfo;

typedef struct _drawingArea {
  Window win;
  Pixmap pixmap;
  GC     gc;
  XGCValues xgcv;
  XSetWindowAttributes xswa;
} drawingArea;

typedef struct _drawerButton {
  drawingArea da;
  unsigned int isEmpty;
  char tooltip[64];
  char image[256];
  char command[512];
} drawerButton;

typedef struct _drawerConfig {
  char dockIcon[256];
  char iconsBg[256];
  int  transparency;
  int  btnsSize;
  int  direction;
  int  animationSpeed;
  int  cursor;
  int  borderSize;
  int  showOnHover;
  int  hideOnOut;
  int  hideTimeout;
  int  windowedMode;
  int  windowedModeLocked;
  char instanceName[64];
  int  highlight;
  char highlightImg[256];
  ShadingInfo highlightShading;
  int tooltips;
  char tooltipsFont[256];
  time_t lastModif;  
  char **imagesPaths;
  drawerButton **entries;
} drawerConfig;
